Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002270Frama-CGraphical User Interfacepublic2017-01-12 08:592017-12-06 09:10
ReporterMax P. 
Assigned Tomaroneze 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformCygwinOSWindows 7OS Versionx64 SP1
Product VersionFrama-C 14-Silicon 
Target VersionFrama-C 15-PhosphorusFixed in VersionFrama-C 16-Sulfur 
Summary0002270: Command "Show callgraph" fails.
DescriptionCallgraph is not displayed with "Show callgraph".
In cygwin terminal prints as follows:

"dot" ▒▒ ▒▒▒▒ ▒▒▒▒७▒▒▒ ▒▒▒ ▒▒▒譥▒
▒▒▒▒▒▒▒▒, ▒ᯮ▒▒塞▒▒ ▒ணࠬ▒▒▒ ▒▒▒ ▒▒▒▒▒▒ 䠩▒▒▒.
In callback for signal activate, uncaught exception: DGraphModel.DotError("Error during dot execution")
Raised at file "format.ml", line 185, characters 41-52
Called from file "format.ml", line 427, characters 6-24
Steps To ReproduceIn GUI select Analises -> Show callgraph
Additional InformationCallgraph plug-in was run with default settings. File dgraph######.dot was created in cygwin64/tmp directory successfully.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006330)
maroneze (developer)
2017-01-12 10:41

Your message seems to indicate that the "dot" tool (supplied by package 'graphviz') is not installed in your Cygwin. Please confirm if this is the case, by rerunning the Cygwin setup tool, selecting package "graphviz" (Graphics group) and installing it. One such way to do it is by going into the directory containing the Cygwin setup executable and running something similar to this:

./setup-x86_64.exe -q -P graphviz

This should allow Cygwin to install the dot executable, and then "Show callgraph" should work.


Explanation:

The error message itself seems to be displayed in a foreign language. This is due to the fact that the OCaml binaries that we suggest to use with the Windows Frama-C actually use Windows' executables to run the dot subprocess that creates the graph. Therefore, the language used to display that particular error message is not configurable using the Cygwin shell (e.g. via LC_ALL=C), but follows the language of your Windows installation.

For instance, in a French Windows this is the displayed message when graphviz is not installed:

    'dot' n'est pas reconnu en tant que commande interne
    ou externe, un programme ex▒cutable ou un fichier de commandes.
    In callback for signal activate, uncaught exception:
    DGraphModel.DotError("Error during dot execution")
    Raised at file "format.ml", line 185, characters 41-52
    Called from file "format.ml", line 427, characters 6-24

Note that the accent is not displayed properly, which seems to be the case in your error message as well.
(0006333)
Max P. (reporter)
2017-01-13 08:57

You're right. Graphviz had not been installed. After graphviz installation the callgraph is displayed.
(0006334)
maroneze (developer)
2017-01-13 09:06

Ok, thanks for confirming it. We'll try to improve the error message and/or remove the button in the absence of dot.
(0006475)
maroneze (developer)
2017-11-27 14:02

The GUI now displays an error dialog if `dot` fails for some reason.

- Issue History
Date Modified Username Field Change
2017-01-12 08:59 Max P. New Issue
2017-01-12 08:59 Max P. Status new => assigned
2017-01-12 08:59 Max P. Assigned To => maroneze
2017-01-12 10:41 maroneze Note Added: 0006330
2017-01-12 10:44 maroneze Status assigned => feedback
2017-01-13 08:57 Max P. Note Added: 0006333
2017-01-13 08:57 Max P. Status feedback => assigned
2017-01-13 09:06 maroneze Note Added: 0006334
2017-01-13 09:07 maroneze Status assigned => confirmed
2017-03-06 14:15 yakobowski Target Version => Frama-C 15-Phosphorus
2017-11-27 14:02 maroneze Note Added: 0006475
2017-11-27 14:02 maroneze Status confirmed => resolved
2017-11-27 14:02 maroneze Fixed in Version => Frama-C 16-Sulfur
2017-11-27 14:02 maroneze Resolution open => fixed
2017-12-06 09:10 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker